Skip to main content
Jump to: navigation, search

Difference between revisions of "Equinox/p2/Removal"

< Equinox‎ | p2
(Update as per confusion in bug 241695 -- users should remove p2 source feature as well as all p2 plugins)
Line 4: Line 4:
 
# Replace the eclipse/eclipse.ini file with the contents from Eclipse platform version 3.3.2.
 
# Replace the eclipse/eclipse.ini file with the contents from Eclipse platform version 3.3.2.
 
# Remove the platform.xml from eclipse/configuration/org.eclipse.update/platform.xml.
 
# Remove the platform.xml from eclipse/configuration/org.eclipse.update/platform.xml.
# Remove the feature org.eclipse.equinox.p2.user.ui.  This feature is optionally required by org.eclipse.platform, but the platform will function without it
+
# Remove the features '''org.eclipse.equinox.p2.user.ui*'''.  This feature is optionally required by org.eclipse.platform, but the platform will function without it
# '''Take care removing org.eclipse.equinox.p2.* from the plugins directory''' due to {{Bug|228537}}. If you want to get rid of some plugins, and you have the SDK installed, you need to preserve the equinox.p2.user.ui.source* plugins because they are required by the corresponding source feature, which is required by the SDK feature. If, on the other hand, you do not remove the equinox.p2.* plugins, you run into other troubles like the "old" update manager UI not being available or a message shown in the error log saying "Could not locate the running profile instance".
+
# Remove the plugins '''org.eclipse.equinox.p2.*'''  
 
# Remove the eclipse/p2 folder (recommended)
 
# Remove the eclipse/p2 folder (recommended)
 
# Remove the eclipse/dropins folder (optional)
 
# Remove the eclipse/dropins folder (optional)
  
You can also find scripts available in https://bugs.eclipse.org/bugs/show_bug.cgi?id=224908 (tested on Linux and Cygwin).
+
'''You can also find scripts available in {{Bug|224908}}''' (tested on Linux and Cygwin).
 +
 
 +
Note an issue existed with removing the source plugins and features pre-3.4M7, see {{Bug|228537}}.
  
 
Note that an issue was observed with I20080422-0800 and P2 removed, see {{Bug|228546}}.
 
Note that an issue was observed with I20080422-0800 and P2 removed, see {{Bug|228546}}.
  
 
[[Category:Equinox_p2|Removal]]
 
[[Category:Equinox_p2|Removal]]

Revision as of 18:18, 22 July 2008

Eclipse platform Ganymede/3.4 contains two provisioning systems: the original Update Manager, and the new Equinox p2 provisioning platform. By default, p2 is in control of the system and the Update Manager is hidden. This page describes how to revert to the classic Update Manager and remove p2.

  1. Replace the eclipse/configuration/config.ini file with the contents from Eclipse platform version 3.3.2.
    • In the config.ini file, replace the "eclipse.buildId" setting with the correct build id (optional)
  2. Replace the eclipse/eclipse.ini file with the contents from Eclipse platform version 3.3.2.
  3. Remove the platform.xml from eclipse/configuration/org.eclipse.update/platform.xml.
  4. Remove the features org.eclipse.equinox.p2.user.ui*. This feature is optionally required by org.eclipse.platform, but the platform will function without it
  5. Remove the plugins org.eclipse.equinox.p2.*
  6. Remove the eclipse/p2 folder (recommended)
  7. Remove the eclipse/dropins folder (optional)

You can also find scripts available in bug 224908 (tested on Linux and Cygwin).

Note an issue existed with removing the source plugins and features pre-3.4M7, see bug 228537.

Note that an issue was observed with I20080422-0800 and P2 removed, see bug 228546.

Back to the top